Skip to main content
get/search/{id}/stats
Request example
Response
get/search/{id}/stats

Authorization

Authorizationstringheaderrequired#
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded username:password.

Path parameters

idstringrequired#
The ID of the search index

Query parameters

periodenum<string>#

Time period for statistics aggregation. Each period returns 60 datapoints
with intervals adjusted to the period length.

Exceptionally for 30 days, it returns 240 datapoints with 3-hour intervals for increased granularity.

Default: "1h"

Options:1h3h12h1d3d7d30d

Responses

application/json
200
Statistics for the specified search index retrieved successfully
pending_index_countinteger#
Number of pending index operations

Example:1

current_vector_countinteger#
Current number of vectors in the index

Example:1000

daily_query_countinteger#
Total number of query operations executed today

Example:100

daily_update_countinteger#
Total number of update operations executed today

Example:10

monthly_query_countinteger#
Total query operations in current month

Example:1000

monthly_update_countinteger#
Total update operations in current month

Example:1000

monthly_bandwidth_usageinteger#
Total bandwidth used in current month (bytes)

Example:7000

storage_usageinteger#
Current storage used (bytes)

Example:7000

monthly_costnumber#
Total cost in current month

Example:0.5

daily_update_requestsobject[]#
Daily update requests over time
Example:
daily_query_requestsobject[]#
Daily query requests over time
Example:
daily_bandwidthsobject[]#
Daily bandwidth usage over time
Example:
daysstring[]#
Days of the week for measurement
Example:
query_throughputobject[]#
Query throughput over time
Example:
update_throughputobject[]#
Update throughput over time
Example:
query_latency_meanobject[]#
Average query latency over time
Example:
query_latency_99object[]#
99th percentile query latency over time
Example:
update_latency_meanobject[]#
Average update latency over time
Example:
update_latency_99object[]#
99th percentile update latency over time
Example:
embeds_latency_meanobject[]#
Average embedding latency over time
Example:
embeds_latency_99object[]#
99th percentile embedding latency over time
Example:
vector_countobject[]#
Vector count over time
Example:
data_sizeobject[]#
Data size over time
Example:
daily_rerank_countinteger#
Total number of rerank operations executed today

Example:0

monthly_rerank_countinteger#
Total rerank operations in current month

Example:10

daily_rerank_requestsobject[]#
Daily rerank requests over time
Example:
rerank_latency_meanobject[]#
Average rerank latency over time
Example:
rerank_latency_99object[]#
99th percentile rerank latency over time
Example: